/**
 * Attempts to authenticate the user using Firebase authentication.
 * @param projectId Your Firebase project id
 * @param cache A reference to your workers KV, used for caching the Firebase public key.
 * @param token The Firebase id token
 * @param claimChecks: A list of any additional payload claim checks that should be performed.
 * @returns A map containing JWT payload claims if authenticated, undefined if not authenticated.
 *          The user's Firebase uid is available within the returned claims with key "sub".
 */
export declare function auth(projectId: string, cache: any, token: string | null, claimChecks?: ((claims: any) => boolean)[]): Promise<any>;
export declare const Equals: (key: string, expected: string) => (claims: any) => boolean;
export declare const InFuture: (key: string) => (claims: any) => boolean;
export declare const InPast: (key: string) => (claims: any) => boolean;
export declare const NotEmpty: (key: string) => (claims: any) => boolean;
